
---
apiVersion: apiextensions.k8s.io/v1
kind: CustomResourceDefinition
metadata:
  annotations:
    controller-gen.kubebuilder.io/version: v0.7.0
  creationTimestamp: null
  name: vaulttlscas.kaas.osscloud.gitlab.io
spec:
  group: kaas.osscloud.gitlab.io
  names:
    kind: VaultTlsCA
    listKind: VaultTlsCAList
    plural: vaulttlscas
    singular: vaulttlsca
  scope: Namespaced
  versions:
  - name: v1alpha1
    schema:
      openAPIV3Schema:
        description: VaultTlsCA is the Schema for the vaulttlscas API
        properties:
          apiVersion:
            description: 'APIVersion defines the versioned schema of this representation
              of an object. Servers should convert recognized schemas to the latest
              internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#resources'
            type: string
          kind:
            description: 'Kind is a string value representing the REST resource this
              object represents. Servers may infer this from the endpoint the client
              submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#types-kinds'
            type: string
          metadata:
            type: object
          spec:
            description: VaultTlsCASpec defines the desired state of VaultTlsCA
            properties:
              commonName:
                description: Default metadata.name
                type: string
              duration:
                default: 87600h
                description: Duration of CA cert default 10 year
                type: string
              exported:
                default: false
                type: boolean
              keyBits:
                description: Default 2048 for RSA and 256 for EC
                type: integer
              keyType:
                default: RSA
                enum:
                - RSA
                - EC
                type: string
              maxLeaseTTL:
                default: 8760h
                description: Config max lease (max age) for SSL cert Default 30 Days
                type: string
            type: object
          status:
            description: VaultTlsCAStatus defines the observed state of VaultTlsCA
            properties:
              vaultPath:
                description: 'INSERT ADDITIONAL STATUS FIELD - define observed state
                  of cluster Important: Run "make" to regenerate code after modifying
                  this file'
                type: string
            required:
            - vaultPath
            type: object
        type: object
    served: true
    storage: true
    subresources:
      status: {}
status:
  acceptedNames:
    kind: ""
    plural: ""
  conditions: []
  storedVersions: []
